Package org.eclipse.cdt.core.index

# Interface IIndexFileSet

public interface IIndexFileSet
File set for index files. Can be used to filter file-local bindings.

Since:
  5.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IIndexFileSet`
`EMPTY`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(IIndexFile indexFile)`
Adds a file to this set.
`boolean`
`contains(IIndexFile file)`
Returns whether the given file is part of this file set.
`boolean`
`containsDeclaration(IIndexBinding binding)`
Returns `true` if this file set contains a declaration or definition of the given binding.
`boolean`
`containsNonLocalDeclaration(IBinding binding, org.eclipse.cdt.internal.core.index.IIndexFragment ignore)`
Checks whether the given binding has a non-local declaration in another index fragment.
`IBinding[]`
`filterFileLocalBindings(IBinding[] bindings)`
Returns an array of bindings where all local bindings that are not part of this file-set have been removed.
`IIndexFileSet`
`invert()`
Returns an index file set with the inverse meaning.
`void`
`remove(IIndexFile indexFile)`
Removes a file from this set.

## Field Details

### EMPTY

static final IIndexFileSet EMPTY

## Method Details

### contains

boolean contains(IIndexFile file) throws org.eclipse.core.runtime.CoreException
Returns whether the given file is part of this file set.

Throws:
  `org.eclipse.core.runtime.CoreException`
Since:
  5.1

### containsDeclaration

boolean containsDeclaration(IIndexBinding binding)
Returns `true` if this file set contains a declaration or definition of the given binding.

Since:
  5.1

### filterFileLocalBindings

IBinding[] filterFileLocalBindings(IBinding[] bindings)
Returns an array of bindings where all local bindings that are not part of this file-set have been removed.

### invert

IIndexFileSet invert()
Returns an index file set with the inverse meaning.

Since:
  5.3

### add

void add(IIndexFile indexFile)
Adds a file to this set.

Restriction:
  This method is not intended to be referenced by clients.

### remove

void remove(IIndexFile indexFile)
Removes a file from this set.

Restriction:
  This method is not intended to be referenced by clients.

### containsNonLocalDeclaration

boolean containsNonLocalDeclaration(IBinding binding, org.eclipse.cdt.internal.core.index.IIndexFragment ignore)
Checks whether the given binding has a non-local declaration in another index fragment.

Restriction:
  This method is not intended to be referenced by clients.